Package twisted :: Package im :: Module interfaces :: Class IAccount

[show private | hide private]
[frames | no frames]

## Class IAccount

    Interface --+
                |
               IAccount

I represent a user's account with a chat service.

Method Summary
| ``__init__`(self, accountName, autoLogin, username, password, host, port)`
boolean | ``isOnline`(self)` Am I online?
| ``logOff`(self)` Sign off.
Deferred `Client` | ``logOn`(self)` Go on-line.

Class Variable Summary
string | `gatewayType` - Identifies the protocol used by this account.

Method Details

### __init__(self, accountName, autoLogin, username, password, host, port)
(Constructor)

  Parameters:
    `accountName` - A name to refer to the account by locally.
    (type=string)
    `autoLogin`
    (type=boolean)
    `username`
    (type=string)
    `password`
    (type=string)
    `host`
    (type=string)
    `port`
    (type=integer)

### isOnline(self)

Am I online?

  Returns:
    boolean

### logOff(self)

Sign off.

### logOn(self)

Go on-line.

  Returns:
    Deferred `Client`

Class Variable Details

### gatewayType

Identifies the protocol used by this account.

  Type:
    string

Generated by Epydoc 1.1 on Sat Feb 15 21:17:50 2003 | http://epydoc.sf.net